package main

import (
	"log"
	"net/http"

	"streifling.com/jason/sicherheitsunterweisung/packages/db"
	"streifling.com/jason/sicherheitsunterweisung/packages/server"
)

func main() {
	var i, j int64
	i, j = 1, 1
	mux := http.NewServeMux()

	db, err := db.Open("sicherheitsunterweisung")
	if err != nil {
		log.Fatalln(err)
	}

	mux.Handle("/static/", http.StripPrefix("/static/", http.FileServer(http.Dir("static/"))))
	mux.HandleFunc("/", server.DisplayTable(db))
	mux.HandleFunc("/search/", server.DisplayResults(db))
	mux.HandleFunc("/new-briefing/", server.DisplayForm(&i))
	mux.HandleFunc("/add-participant/", server.AddParticipant(&i))
	mux.HandleFunc("/submit-form/", server.SubmitForm(db, &i, &j))

	log.Fatalln(http.ListenAndServe(":8080", mux))
}
